> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.nodecompletehandler.md).

# NodeCompleteHandler

Delegate in [Yarn](/api/csharp/yarn.md)

Inherits from `System.MulticastDelegate`

## Summary

Represents the method that is called when the Dialogue reaches the end of a node.

```csharp
public delegate void NodeCompleteHandler(string completedNodeName);
```

## Remarks

This method may be called multiple times over the course of code execution. A node being complete does not necessarily represent the end of the conversation.

## Parameters

| Name                       | Description           |
| -------------------------- | --------------------- |
| `string` completedNodeName | The name of the node. |

## See Also

* [LineHandler](/api/csharp/yarn/yarn.linehandler.md): Represents the method that is called when the Dialogue delivers a [Line](/api/csharp/yarn/yarn.line.md) .
* [OptionsHandler](/api/csharp/yarn/yarn.optionshandler.md): Represents the method that is called when the Dialogue delivers an [OptionSet](/api/csharp/yarn/yarn.optionset.md) .
* [CommandHandler](/api/csharp/yarn/yarn.commandhandler.md): Represents the method that is called when the Dialogue delivers a [Command](/api/csharp/yarn/yarn.command.md) .
* [NodeStartHandler](/api/csharp/yarn/yarn.nodestarthandler.md): Represents the method that is called when the Dialogue begins executing a node.
* [DialogueCompleteHandler](/api/csharp/yarn/yarn.dialoguecompletehandler.md): Represents the method that is called when the dialogue has reached its end, and no more code remains to be run.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.nodecompletehandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
